looking for 'places' icons in the wrong location

Bug #727672 reported by Fabien Tassin on 2011-03-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Low
Marco Biscaro
unity-lens-applications
Low
Marco Biscaro
unity-lens-files
Low
Marco Biscaro
unity (Ubuntu)
Low
Unassigned
unity-place-applications (Ubuntu)
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

from the compiz logs:

** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/files.png: Error opening file: No such file or directory

** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/applications.png: Error opening file: No such file or directory

** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/files.png: Error opening file: No such file or directory

** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/applications.png: Error opening file: No such file or directory
^[
** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/applications.png: Error opening file: No such file or directory

** (<unknown>:7082): WARNING **: static void IconLoader::LoadContentsReady(GObject*, GAsyncResult*, IconLoader::IconLoaderTask*): Unable to load contents of /usr/share/unity/files.png: Error opening file: No such file or directory

while:

$ dpkg -L unity-place-files | grep png
/usr/share/unity/themes/files.png
$ dpkg -L unity-place-applications | grep png
/usr/share/unity/themes/applications.png

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
Date: Wed Mar 2 10:49:31 2011
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/tcsh
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2009-07-28 (581 days ago)

Fabien Tassin (fta) wrote :
Didier Roche (didrocks) wrote :

the icons are still loaded. Tracking when we try to load at the wrong location in the code is a nice bitesize :)

tags: added: bitesize
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in unity:
status: New → Triaged
importance: Undecided → Low
Changed in unity:
assignee: nobody → Marco Biscaro (marcobiscaro2112)
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-02
Changed in unity (Ubuntu):
status: Triaged → Fix Committed

The merge needs to be approved.

Changed in unity:
status: Fix Committed → Confirmed
Changed in unity (Ubuntu):
status: Fix Committed → Confirmed

Hi Marco - sorry the merge requests somehow went under my radar for today's releases. I've merged your branches now, and the fixes will be in the release this Thursday.

Thanks!

Changed in unity:
milestone: none → 3.6.4
Changed in unity-place-applications:
assignee: nobody → Marco Biscaro (marcobiscaro2112)
importance: Undecided → Low
milestone: none → 0.2.38
status: New → Fix Committed
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity-place-files:
assignee: nobody → Marco Biscaro (marcobiscaro2112)
importance: Undecided → Low
milestone: none → 0.5.42
status: New → Fix Committed
Didier Roche (didrocks) on 2011-03-07
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-03-07
Changed in unity-place-applications (Ubuntu):
status: New → Fix Committed
Changed in unity-place-files (Ubuntu):
status: New → Fix Committed
Changed in unity-place-files:
status: Fix Committed → Fix Released
Changed in unity-place-applications:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.38-0ubuntu1

---------------
unity-place-applications (0.2.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - "Find More Apps" shows only six applications by default (LP: #729023)
    - [dash] Newly installed applications are not shown in the "Installed"
      section though they disappeared from the "Available" section
      (LP: #719400)
    - Dash filter categories should be identical to the Software Center
      categories (LP: #729013)
    - looking for 'places' icons in the wrong location (LP: #727672)
  * debian/control:
    - build-dep on libgconf2-dev
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:50:21 +0100

Changed in unity-place-applications (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.42-0ubuntu1

---------------
unity-place-files (0.5.42-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:49:56 +0100

Changed in unity-place-files (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers